NSX-T Data Center REST API

Update transit gateway centralized service configuration

Partial update of the centralized service config.

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/orgs/{org-id}/projects/{project-id}/transit-gateways/{transit-gateway-id}/centralized-configs/{centralized-config-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
CentralizedConfig+

Example Request:

PATCH https://<policy-mgr>/policy/api/v1/orgs/default/projects/default/transit-gateways/default/centralized-configs/default { "ha_mode": "ACTIVE_STANDBY", "edge_cluster_paths": [ "/infra/sites/default/enforcement-points/default/edge-clusters/EDGECLUSTER1" ], "description": "updated. " }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Example Response:

200 OK

Required Permissions:

crud

Feature:

policy_transit_gateway

Additional Errors: